<template>
<div class="riskAssessmentContainer">
<!--  <HighMonth />-->
<!--  <Score />-->
  <div class="listWrap">
    <el-table
        height="100%"
        :data="listDatas"
        :header-cell-class-name="headerBg"
        :header-cell-style="{color:'#dce9f6',border:'0',}"
        :cell-style="{color:'#dce9f6',height:'44px'}"
    >
      <el-table-column align="center" prop="orgName" width="80px" label="组织机构">
      </el-table-column>
      <el-table-column align="center" prop="link" width="80px" label="联系人">
      </el-table-column>
      <el-table-column align="center" prop="phone" label="联系电话" :show-overflow-tooltip="true"/>
      <el-table-column align="center" prop="job" label="职务" :show-overflow-tooltip="true"/>
    </el-table>
  </div>
</div>
</template>

<script>
import HighMonth from './HighMonth'
import Score from './Score'
import HighType from './HighType'
export default {
  name: 'riskAssessment',
  components: {
    HighMonth,
    Score,
    HighType
  },
  data() {
    return {
      listDatas : [
        {
          id: 1,
          orgName: '燃气公司',
          link: '张三',
          phone: '18512345678',
          job: '组长'
        },
        {
          id: 2,
          orgName: '消防救援',
          link: '李斯',
          phone: '13029667890',
          job: '组长'
        },
        {
          id: 3,
          orgName: '应急管理',
          link: '王五',
          phone: '13200295673',
          job: '组长'
        },
        {
          id: 4,
          orgName: '燃气公司',
          link: '王强',
          phone: '1320095673',
          job: '组长'
        }
      ]
    }
  },
  methods: {
    headerBg() {
      return 'headerBg'
    }
  }
}
</script>

<style lang="scss" scoped>
.riskAssessmentContainer {
  height: 100%;
  width: 100%;
  padding: 10px 0px;
  box-sizing: border-box;
  .listWrap{
    height: 100%;
  }
}
::v-deep .el-table, .el-table__expanded-cell {
  background-color: transparent;
}

::v-deep .el-table tr {
  background-color: transparent !important;
}

::v-deep .el-table--enable-row-transition .el-table__body td, .el-table .cell {
  border: none;
  background-color: transparent !important;
}

::v-deep .el-table::before {
  height: 0px;
}
::v-deep .el-table th.el-table__cell{
  background: transparent;
}
::v-deep .el-table .el-table__cell{
  padding: 0;
}
::v-deep .el-table {
  thead {
    color: #fff;
    font-weight: 500;
    background-image: url(~@/assets/img/lifeline/header_bg.png) !important;
    background-size: 100% 100% !important;
    background-repeat: no-repeat !important;
    & th {
      background-color: transparent;
    }
    & tr {
      background-color: transparent;
    }
  }
}
</style>
